Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Class IdentityTransfer

    java.lang.Object
      org.apache.batik.ext.awt.image.IdentityTransfer

All Implemented Interfaces:
  TransferFunction

public class IdentityTransfer
extends java.lang.Object
implements TransferFunction

IdentityTransfer.java This class defines the Identity type transfer function for the feComponentTransfer filter, as defined in chapter 15, section 11 of the SVG specification.

Field Summary
`static byte[]` | `lutData` This byte array stores the lookuptable data

Constructor Summary
`IdentityTransfer()`

Method Summary
`byte[]` | `getLookupTable()` This method will return the lut data in order to construct a LookUpTable object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lutData

    public static byte[] lutData

  This byte array stores the lookuptable data

Constructor Detail

### IdentityTransfer

    public IdentityTransfer()

Method Detail

### getLookupTable

    public byte[] getLookupTable()

  This method will return the lut data in order to construct a LookUpTable object

  Specified by:
    `getLookupTable` in interface `TransferFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.